diff --git a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
index 1670333..c0148ba 100644
--- a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
+++ b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
@@ -398,89 +549,183 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
 
                                 final isUang = stokBantuan['is_uang'] == true;
 
-                                return Padding(
-                                  padding: const EdgeInsets.only(bottom: 8),
-                                  child: Card(
-                                    color: isUang
-                                        ? Colors.green.shade50
-                                        : Colors.grey.shade50,
-                                    margin: EdgeInsets.zero,
-                                    child: Padding(
-                                      padding: const EdgeInsets.all(12),
-                                      child: Column(
-                                        crossAxisAlignment:
-                                            CrossAxisAlignment.start,
-                                        children: [
-                                          Row(
-                                            mainAxisAlignment:
-                                                MainAxisAlignment.spaceBetween,
+                                return Container(
+                                  margin: const EdgeInsets.only(bottom: 12),
+                                  decoration: BoxDecoration(
+                                    gradient: LinearGradient(
+                                      colors: isUang
+                                          ? [
+                                              Colors.green.shade100,
+                                              Colors.green.shade50
+                                            ]
+                                          : [
+                                              Colors.grey.shade200,
+                                              Colors.grey.shade100
+                                            ],
+                                      begin: Alignment.topLeft,
+                                      end: Alignment.bottomRight,
+                                    ),
+                                    borderRadius: BorderRadius.circular(12),
+                                    boxShadow: [
+                                      BoxShadow(
+                                        color: Colors.grey.withOpacity(0.2),
+                                        blurRadius: 5,
+                                        offset: const Offset(0, 2),
+                                      ),
+                                    ],
+                                  ),
+                                  child: ClipRRect(
+                                    borderRadius: BorderRadius.circular(12),
+                                    child: Material(
+                                      color: Colors.transparent,
+                                      child: InkWell(
+                                        onTap: () {
+                                          // Jika perlu tambahkan aksi detail
+                                        },
+                                        child: Padding(
+                                          padding: const EdgeInsets.all(16),
+                                          child: Column(
+                                            crossAxisAlignment:
+                                                CrossAxisAlignment.start,
                                             children: [
-                                              Expanded(
-                                                child: Text(
-                                                  stokBantuan['nama'] ?? '-',
-                                                  style: const TextStyle(
-                                                    fontWeight: FontWeight.bold,
-                                                    fontSize: 15,
+                                              Row(
+                                                children: [
+                                                  Container(
+                                                    padding:
+                                                        const EdgeInsets.all(8),
+                                                    decoration: BoxDecoration(
+                                                      color: isUang
+                                                          ? Colors
+                                                              .green.shade200
+                                                          : Colors
+                                                              .blue.shade200,
+                                                      borderRadius:
+                                                          BorderRadius.circular(
+                                                              10),
+                                                    ),
+                                                    child: Icon(
+                                                      isUang
+                                                          ? Icons
+                                                              .account_balance_wallet
+                                                          : Icons.inventory,
+                                                      color: isUang
+                                                          ? Colors
+                                                              .green.shade800
+                                                          : Colors
+                                                              .blue.shade800,
+                                                      size: 20,
+                                                    ),
+                                                  ),
+                                                  const SizedBox(width: 12),
+                                                  Expanded(
+                                                    child: Column(
+                                                      crossAxisAlignment:
+                                                          CrossAxisAlignment
+                                                              .start,
+                                                      children: [
+                                                        Text(
+                                                          stokBantuan['nama'] ??
+                                                              '-',
+                                                          style:
+                                                              const TextStyle(
+                                                            fontWeight:
+                                                                FontWeight.bold,
+                                                            fontSize: 16,
+                                                          ),
+                                                        ),
+                                                        const SizedBox(
+                                                            height: 4),
+                                                        Text(
+                                                          kategori,
+                                                          style: TextStyle(
+                                                            fontSize: 13,
+                                                            color: isUang
+                                                                ? Colors.green
+                                                                    .shade800
+                                                                : Colors.blue
+                                                                    .shade800,
+                                                          ),
+                                                        ),
+                                                      ],
+                                                    ),
+                                                  ),
+                                                  Container(
+                                                    padding: const EdgeInsets
+                                                        .symmetric(
+                                                        horizontal: 12,
+                                                        vertical: 8),
+                                                    decoration: BoxDecoration(
+                                                      color: isUang
+                                                          ? Colors
+                                                              .green.shade700
+                                                          : Colors
+                                                              .blue.shade700,
+                                                      borderRadius:
+                                                          BorderRadius.circular(
+                                                              20),
+                                                    ),
+                                                    child: Text(
+                                                      isUang
+                                                          ? FormatHelper
+                                                              .formatRupiah(
+                                                                  jumlah)
+                                                          : '$jumlah ${stokBantuan['satuan'] ?? ''}',
+                                                      style: const TextStyle(
+                                                        fontSize: 14,
+                                                        fontWeight:
+                                                            FontWeight.bold,
+                                                        color: Colors.white,
+                                                      ),
+                                                    ),
+                                                  ),
+                                                ],
+                                              ),
+                                              if (stokBantuan['deskripsi'] !=
+                                                      null &&
+                                                  stokBantuan['deskripsi']
+                                                      .toString()
+                                                      .isNotEmpty) ...[
+                                                const SizedBox(height: 12),
+                                                Container(
+                                                  padding:
+                                                      const EdgeInsets.all(12),
+                                                  decoration: BoxDecoration(
+                                                    color: Colors.white
+                                                        .withOpacity(0.7),
+                                                    borderRadius:
+                                                        BorderRadius.circular(
+                                                            8),
+                                                  ),
+                                                  child: Row(
+                                                    children: [
+                                                      Icon(
+                                                        Icons.info_outline,
+                                                        size: 16,
+                                                        color: isUang
+                                                            ? Colors
+                                                                .green.shade800
+                                                            : Colors
+                                                                .blue.shade800,
+                                                      ),
+                                                      const SizedBox(width: 8),
+                                                      Expanded(
+                                                        child: Text(
+                                                          stokBantuan[
+                                                              'deskripsi'],
+                                                          style: TextStyle(
+                                                            fontSize: 13,
+                                                            color: Colors
+                                                                .grey[700],
+                                                          ),
+                                                        ),
+                                                      ),
+                                                    ],
                                                   ),
                                                 ),
-                                              ),
-                                              Container(
-                                                padding:
-                                                    const EdgeInsets.symmetric(
-                                                        horizontal: 8,
-                                                        vertical: 4),
-                                                decoration: BoxDecoration(
-                                                  color: isUang
-                                                      ? Colors.green.shade100
-                                                      : Colors.blue.shade100,
-                                                  borderRadius:
-                                                      BorderRadius.circular(12),
-                                                ),
-                                                child: Text(
-                                                  kategori,
-                                                  style: TextStyle(
-                                                    fontSize: 12,
-                                                    color: isUang
-                                                        ? Colors.green.shade800
-                                                        : Colors.blue.shade800,
-                                                  ),
-                                                ),
-                                              ),
+                                              ],
                                             ],
                                           ),
-                                          const SizedBox(height: 8),
-                                          Row(
-                                            children: [
-                                              const Text(
-                                                'Jumlah digunakan: ',
-                                                style: TextStyle(fontSize: 14),
-                                              ),
-                                              Text(
-                                                isUang
-                                                    ? 'Rp ${NumberFormat.currency(locale: 'id', symbol: '', decimalDigits: 0).format(jumlah)}'
-                                                    : '$jumlah ${stokBantuan['satuan'] ?? ''}',
-                                                style: const TextStyle(
-                                                  fontWeight: FontWeight.bold,
-                                                  fontSize: 14,
-                                                ),
-                                              ),
-                                            ],
-                                          ),
-                                          if (stokBantuan['deskripsi'] !=
-                                                  null &&
-                                              stokBantuan['deskripsi']
-                                                  .toString()
-                                                  .isNotEmpty) ...[
-                                            const SizedBox(height: 8),
-                                            Text(
-                                              stokBantuan['deskripsi'],
-                                              style: TextStyle(
-                                                fontSize: 13,
-                                                color: Colors.grey[600],
-                                              ),
-                                            ),
-                                          ],
-                                        ],
+                                        ),
                                       ),
                                     ),
                                   ),
@@ -501,26 +746,59 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                     const SizedBox(height: 24),
                     Card(
                       margin: EdgeInsets.zero,
-                      elevation: 2,
+                      elevation: 3,
                       shape: RoundedRectangleBorder(
-                        borderRadius: BorderRadius.circular(12),
+                        borderRadius: BorderRadius.circular(16),
                       ),
                       child: Padding(
-                        padding: const EdgeInsets.all(16),
+                        padding: const EdgeInsets.all(20),
                         child: Column(
                           crossAxisAlignment: CrossAxisAlignment.start,
                           children: [
-                            const SectionHeader(
-                              title: 'Daftar Penerima Bantuan',
+                            Row(
+                              children: [
+                                Icon(
+                                  Icons.people_alt,
+                                  color: AppTheme.primaryColor,
+                                  size: 24,
+                                ),
+                                const SizedBox(width: 10),
+                                const Text(
+                                  'Daftar Penerima',
+                                  style: TextStyle(
+                                    fontSize: 18,
+                                    fontWeight: FontWeight.bold,
+                                  ),
+                                ),
+                                const Spacer(),
+                                Container(
+                                  padding: const EdgeInsets.symmetric(
+                                      horizontal: 10, vertical: 6),
+                                  decoration: BoxDecoration(
+                                    color:
+                                        AppTheme.primaryColor.withOpacity(0.1),
+                                    borderRadius: BorderRadius.circular(20),
+                                  ),
+                                  child: Text(
+                                    '${controller.daftarPenerima.length} Penerima',
+                                    style: TextStyle(
+                                      fontSize: 13,
+                                      fontWeight: FontWeight.bold,
+                                      color: AppTheme.primaryColor,
+                                    ),
+                                  ),
+                                ),
+                              ],
                             ),
-                            const SizedBox(height: 16),
+                            const Divider(height: 25),
+
                             // Header Tabel
                             Container(
                               padding: const EdgeInsets.symmetric(
-                                  vertical: 8, horizontal: 12),
+                                  vertical: 12, horizontal: 15),
                               decoration: BoxDecoration(
-                                color: Colors.grey.shade100,
-                                borderRadius: BorderRadius.circular(8),
+                                color: AppTheme.primaryColor,
+                                borderRadius: BorderRadius.circular(10),
                               ),
                               child: Row(
                                 children: const [
@@ -529,24 +807,17 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                                     child: Text(
                                       'NIK',
                                       style: TextStyle(
-                                          fontWeight: FontWeight.bold),
+                                          fontWeight: FontWeight.bold,
+                                          color: Colors.white),
                                     ),
                                   ),
                                   Expanded(
-                                    flex: 3,
+                                    flex: 4,
                                     child: Text(
                                       'Nama Penerima',
                                       style: TextStyle(
-                                          fontWeight: FontWeight.bold),
-                                    ),
-                                  ),
-                                  Expanded(
-                                    flex: 2,
-                                    child: Text(
-                                      'Jumlah',
-                                      style: TextStyle(
-                                          fontWeight: FontWeight.bold),
-                                      textAlign: TextAlign.center,
+                                          fontWeight: FontWeight.bold,
+                                          color: Colors.white),
                                     ),
                                   ),
                                   Expanded(
@@ -554,7 +825,8 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                                     child: Text(
                                       'Status',
                                       style: TextStyle(
-                                          fontWeight: FontWeight.bold),
+                                          fontWeight: FontWeight.bold,
+                                          color: Colors.white),
                                       textAlign: TextAlign.center,
                                     ),
                                   ),
